Bug 1211797 - libosinfo needs an entry for fedora22
Summary: libosinfo needs an entry for fedora22
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libosinfo
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Berrangé
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-14 22:51 UTC by Cole Robinson
Modified: 2016-04-27 18:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-27 12:11:28 UTC


Attachments (Terms of Use)

Description Cole Robinson 2015-04-14 22:51:09 UTC
libosinfo doesn't have an entry for fedora22

I'll likely provide a patch, just want to track this for the test day

Comment 1 Jason Tibbitts 2015-12-03 06:01:51 UTC
I note that /usr/share/libosinfo/db/oses/fedora.xml does currently (in F23) appear to have an entry for fedora22, but not one for fedora23.   I didn't think it was worth another bug, and I've never been sure whether having the correct information in there actually makes a difference.

libosinfo-0.2.12-2.fc23.x86_64

Comment 2 Christophe Fergeau 2015-12-03 09:35:36 UTC
This was added upstream in https://git.fedorahosted.org/cgit/libosinfo.git/commit/?id=7c4da658e241ca735f903d4e5d3477fce33fdb0d

Comment 3 Tim Coote 2016-04-10 15:44:08 UTC
Shouldn't the patch to put F23 into the F23 version of the package have made it to the update repos by now?

Updated F23 libosinfo (libosinfo-0.2.12-2.fc23.x86_64) still does not include F23 in /usr/share/libosinfo/db/oses/fedora.xml

Comment 4 Zeeshan Ali 2016-04-27 12:11:28 UTC
(In reply to Tim Coote from comment #3)
> Shouldn't the patch to put F23 into the F23 version of the package have made
> it to the update repos by now?

Yeah, it's been fixed a while ago.

> Updated F23 libosinfo (libosinfo-0.2.12-2.fc23.x86_64) still does not
> include F23 in /usr/share/libosinfo/db/oses/fedora.xml

yeah but F23 isn't yet released so not such a big deal. F23 should be identified by libosinfo as Fedora still though.

Comment 5 Tim Coote 2016-04-27 18:21:37 UTC
eh? the release schedule (http://bit.ly/1UhzRu3) says that it was released in November 2015.


Note You need to log in before you can comment on or make changes to this bug.